# Standard backing services for DeMi (detector microservices)
# see also: https://12factor.net/backing-services
#
# portainer and traefik are special because they manage / proxy all other services
# (they are also optional)
#
# see also:
# https://github.com/portainer/portainer-compose/blob/master/traefik/docker-compose.yml
#
# 2022 G. Brandt <gbrandt@cern.ch>

# ignored by compose but not by third-party tools ...
version: "3"

name: demi

x-base:
  &base
  restart: unless-stopped
  networks:
    - demi

networks:
  demi:
    name: ${DEMI_NET}
    external: true

services:

  watchtower:
    <<: *base
    image: registry.cern.ch/docker.io/containrrr/watchtower
    container_name: watchtower
    command: >
      --interval 30
      --run-once
      --cleanup
      --remove-volumes
#      --debug
#      --include-restarting
#      --label-enable
#      --monitor-only
#      --http-api-metrics

    volumes:
      - ${DOCKER_DIR}/watchtower/config.json:/config.json
      - /var/run/docker.sock:/var/run/docker.sock
      - /etc/localtime:/etc/localtime:ro
    # labels:
    #   - ${DEMI_NAMESPACE}.category=Tools
    #   - traefik.http.routers.portainer.rule=Host(`${HOST}`) && PathPrefix(`/portainer`)
